<?php
//Pagina de login de usuario
$pathinfo = pathinfo($_SERVER['PHP_SELF']);
$extension = $pathinfo['extension'];
ini_set('include_path', ".." . PATH_SEPARATOR . get_include_path());
include_once("pre.php");
//include_once("comunes/funciones/funciones_idioma.php");
include_once("comunes/funciones/funciones_precios.php");
//include("comunes/widgets/articulo.php");
include("comunes/lista_widgets.php");
$configuracion = new Configuracion();
$empresa = new Empresa();

$rutas_perso = array("base", "perso");
define("RUTAS", serialize($ruta_perso));
?>
<!DOCTYPE html>
<html lang="es">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
        <link href="<?= Shop::$configuracion->url ?>admin/css/banderas.css" type="text/css" rel="stylesheet"  />
        <script type="text/javascript" src="../base/js/jquery-1.11.1.min.js"></script>
        <script type="text/javascript" src="../base/js/script.js"></script>
        <script src="js/sweetalert.min.js"></script> 
        <link rel="stylesheet" type="text/css" href="css/sweetalert.css">
        <?php
        if (existe_fichero("css/style.css") !== false) {
            ?>
            <link rel='stylesheet' href='<?= Shop::$configuracion->url ?>admin/css/style.css' type='text/css' media='screen' />
            <?php
        }
        $url = explode(".", basename($_SERVER["PHP_SELF"]));
        if (existe_fichero("css/" . $url[0] . ".css") !== false) {
            ?>
            <link rel='stylesheet' href='<?= Shop::$configuracion->url ?>admin/css/<?= $url[0] ?>.css' type='text/css' media='screen' />
            <?php
        }
        ?>
        <?php
        if ($url[0] === "codigos_promocionales") {
            ?>
            <script language="JavaScript" type="text/javascript" src="<?= Shop::$configuracion->url ?>admin/js/jquery.plugin.js"></script>
            <script language="JavaScript" type="text/javascript" src="<?= Shop::$configuracion->url ?>admin/js/jquery.datepick.js"></script>
            <script language="JavaScript" type="text/javascript" src="<?= Shop::$configuracion->url ?>admin/js/jquery.datepick-es.js"></script>
            <link rel='stylesheet' href='<?= Shop::$configuracion->url ?>admin/css/redmond.datepick.css' type='text/css' media='screen' />
            <?php
        }

        if ($url[0] === "gestion_pedidos") {
            ?>
            <link rel="stylesheet" href="<?= Shop::$configuracion->url; ?>admin/css/pedidos_clientes.css" type="text/css" media="screen" />
            <?php
        }
        ?>
<!--<title><?= title($url[0]) ?></title>-->
        <meta http-equiv="Pragma" content="no-cache">
        <meta http-equiv="expires" content="0">
    </head>
    <body>
        <?php
        if ($extension == "php") {
            //Sólo entramos aquí si esto es un php
            session_start();
            header("Expires: Tue, 01 Jul 2001 06:00:00 GMT");
            header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
            header("Cache-Control: no-store, no-cache, must-revalidate");
            header("Cache-Control: post-check=0, pre-check=0", false);
            header("Pragma: no-cache");


            //-----------------------------------------------------------------------------------------------------------------
            //Controles iniciales de administracion
            //-----------------------------------------------------------------------------------------------------------------
            //Lo primero es abrir el fichero que contendrá el usuario y la contrasena (la @ es para evitar el warning)
            //Vamos a comprobar primero que exista el fichero de conf
            $existe_conf = false;
            $fichero = localizaConfigSys();
            $creado_config = false;
            if (!$fichero) {
                //Tenemos que mostrar el formulario de introducción de datos para crear un nuevo fichero
                //include("comunes/form_bd.php");
                $existe_conf = false;
            } else {
                $existe_conf = true;
                //fclose($fichero);
            }
            //Comprobamos si hay que borrar el fichero
            $borrar_configuracion = dame_valor_variable_global("borrar_fichero_conf", "");
            if ($borrar_configuracion != "") {
                //Tenemos que borrar el fichero de configuración
                unlink("config.sys");
                unlink("../config.sys");
                $existe_conf = false;
            }
            //Si hemos recibido los datos del fichero de la base de datos, es necesario crear uno nuevo
            $crear_fichero_bd = dame_valor_variable_global("crear_fichero_bd", "");

            if ($crear_fichero_bd == "CREAR") {

                //Tenemos que crear el fichero de la base de datos, vamos a coger los datos que nos han transferido
                $nombre_bd = str_replace(" ", "_", dame_valor_variable_global("nombre_bd", ""));
                $usuario = str_replace(" ", "_", dame_valor_variable_global("nombre_user_bd", ""));
                $password = str_replace(" ", "_", dame_valor_variable_global("password_bd", ""));
                $ruta_mysql = str_replace(" ", "_", dame_valor_variable_global("ruta_mysql", "localhost"));
                $pw_administrativa = dame_valor_variable_global("admin_pass", "");
                $servidor_ftp = str_replace(" ", "_", dame_valor_variable_global("servidor_ftp", ""));
                $usuario_ftp = str_replace(" ", "_", dame_valor_variable_global("usuario_ftp", ""));
                $password_ftp = str_replace(" ", "_", dame_valor_variable_global("password_ftp", ""));

                echo("<pre>		nombreBD: $nombre_bd
		Usuario: $usuario
		Password: $password
		Ruta mySql: $ruta_mysql
		Pass admin: $pw_administrativa
		Servidor FTP: $servidor_ftp
		Usuario Ftp: $usuario_ftp
		Pass Ftp: $password_ftp
		</pre>");

                //establecer una conexión básica
                if (($nombre_bd != "") && ($usuario != "") && ($password != "") && ($pw_administrativa != "") && ($pw_administrativa == "sinlib05") && ($servidor_ftp != "") && ($usuario_ftp != "") && ($password_ftp != "")) {
                    echo("PASAAA");
                    $conexion_ftp = ftp_connect($servidor_ftp);

                    echo("Vamos a intentar crear el fichero de acceso a la BD<br />");
                    $cadena = $nombre_bd . "|" . $usuario . "|" . $password . "|" . $ruta_mysql;
                    $cadena = encrypt($cadena);
                    echo("$servidor_ftp, $conexion_ftp, $usuario_ftp, $password_ftp");
                    if (ftp_login($conexion_ftp, $usuario_ftp, $password_ftp)) {
                        if ($conexion_ftp) {
                            ftp_pasv($conexion_ftp, true);
                            //Creamos el fichero temporal.
                            $nombre_fichero_tmp = tempnam(sys_get_temp_dir(), "config");
                            $gestor = fopen($nombre_fichero_tmp, "w");
                            //Guardamos la información en el fichero. 
                            fwrite($gestor, $cadena);
                            fclose($gestor);
                            //Subimos el fichero al servidor.
                            if (ftp_put($conexion_ftp, "config.sys", $nombre_fichero_tmp, FTP_BINARY)) {
                                $creado_config = true;
                            }
                            //Borramos el fichero temporal.
                            unlink($nombre_fichero_tmp);
                        } else {
                            echo("No hay conexion<br />");
                        }
                    } else {
                        echo("Error al conectar al ftp<br />");
                    }
                    //cerrar la conexión ftp 
                    ftp_close($conexion_ftp);
                } else {
                    $existe_conf = false;
                    //include("comunes/form_bd.php");
                }
            }
            if ($creado_config) {
                header('location: index.php');
            }
            //$existe_conf = true;
            $todo_correcto = false;
            if ($existe_conf) {
                $usuario = getSessionValue("usuario");
                if ($usuario != NULL) {
                    $todo_correcto = true;
                    include("logout.php");
                } else {
                    include("login.php");
                }
            } else {
                //no existe la configuración, mostramos el formulario para crearlo
                include_once("comunes/form_bd.php");
            }
        }

        function title($pagina) {
            $arrayPaginas = array("index", "banners", "codigos_promocionales", "eslogan", "traducciones");
            $arrayNombres = array("&Aacute;rea de administrador", "Gesti&oacute;n de banners", "C&oacute;digos promocionales", "Gesti&oacute;n eslogan/citas", "Traducciones");
            for ($i = 0; $i < sizeof($arrayPaginas); $i++) {
                if ($pagina == $arrayPaginas[$i]) {
                    return $arrayNombres[$i];
                }
            }
        }
        ?>